Loading...
Searching...
No Matches
osim_reader_ops Struct Reference

`#include <sim.h>`

## Data Fields

const char * | name
struct osim_reader_hdl *(* | reader_open )(int idx, const char *name, void *ctx)
struct osim_card_hdl *(* | card_open )(struct osim_reader_hdl *rh, enum osim_proto proto)
int(* | card_reset )(struct osim_card_hdl *card, bool cold_reset)
int(* | card_close )(struct osim_card_hdl *card)
int(* | transceive )(struct osim_reader_hdl *rh, struct msgb *msg)

## Field Documentation

## card_close

int(* osim_reader_ops::card_close) (struct osim_card_hdl *card)

Referenced by osim_card_close().

## card_open

struct osim_card_hdl *(* osim_reader_ops::card_open) (struct osim_reader_hdl *rh, enum osim_proto proto)

Referenced by osim_card_open().

## card_reset

int(* osim_reader_ops::card_reset) (struct osim_card_hdl *card, bool cold_reset)

Referenced by osim_card_reset().

## name

const char* osim_reader_ops::name

## reader_open

struct osim_reader_hdl *(* osim_reader_ops::reader_open) (int idx, const char *name, void *ctx)

Referenced by osim_reader_open().

## transceive

int(* osim_reader_ops::transceive) (struct osim_reader_hdl *rh, struct msgb *msg)

Referenced by transceive_apdu_t0().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h